<div class="">
  <div *ngIf="noUsers">
    <h2 class="text-gray-200 text-lg">There are no more users, come back laters ;)</h2>
  </div>
  <div *ngIf="!noUsers" class="max-w-sm shadow-xl rounded-lg m-4 transition transform duration-200
             {{like && 'translate-x-48 rotate-12 scale-95 ring-8 ring-green-800'}}
             {{disappear && 'ease-in translate-x-48 rotate-12'}}
             {{preAppear && 'ease-out scale-0'}}
             {{appear && 'ease-in scale-100'}}
             {{dislike && '-translate-x-48 -rotate-12 scale-95 ring-8 ring-red-800'}}">
    <div class="relative">
      <app-swiper-images [image]="image.url"></app-swiper-images>
      <div class="absolute top-0 flex justify-center w-full flex z-40">
        <app-image-step-btn (change)="selectImage($event)" [image]="image" [images]="images"></app-image-step-btn>
      </div>

      <div class="absolute top-0 flex justify-between w-full h-full transition">
        <app-image-change-btn (change)="previousImage()" [image]="image" [images]="images" direction="left"></app-image-change-btn>
        <app-image-change-btn (change)="nextImage()" [image]="image" [images]="images" direction="right"></app-image-change-btn>
      </div>
    </div>
    <app-swiper-content
      [name]="name"
      [bio]="bio"
    ></app-swiper-content>
    <div class="flex justify-around px-10 py-4 bg-gradient-to-b from-gray-800 to-gray-900 rounded-b-lg">
      <app-swipe-btn (clickAction)="dislikeFisher()" action="dislike"></app-swipe-btn>
      <app-swipe-btn (clickAction)="likeFisher()" action="like"></app-swipe-btn>
    </div>
  </div>
</div>
